services:
  calibre-web:
    image: lscr.io/linuxserver/calibre-web:latest
    container_name: calibre-web
    environment:
      - PUID=2000
      - PGID=2000
      - TZ=Etc/UTC
      - DOCKER_MODS=linuxserver/mods:universal-calibre #optional
      - OAUTHLIB_RELAX_TOKEN_SCOPE=1 #optional
    volumes:
      - /opt/docker/conf/calibre-web:/config
      - /mnt/books/calibre/calibre_library:/books
    labels:
      - homepage.group=Media
      - homepage.name=Calibre-Web
      - homepage.icon=si-calibreweb
      - homepage.description=EBook Server (esh)
      - homepage.href=http://10.0.50.45:8083
    ports:
      - 8083:8083
    restart: unless-stopped
networks: {}
